%global momorel 1

# Use rpmbuild --without gcj to disable native bits
%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name: pentaho-reporting-flow-engine
Version: 0.9.2
Release: %{momorel}m%{?dist}
Summary: Pentaho Flow Reporting Engine
License: LGPLv2+
Epoch: 1
Group: System Environment/Libraries
Source: http://downloads.sourceforge.net/jfreereport/flow-engine-%{version}-OOo31.zip
NoSource: 0
URL: http://reporting.pentaho.org/
BuildRequires: ant, java-devel, jpackage-utils, libbase >= 1.0.0, jcommon-serializer >= 0.3.0
BuildRequires: libloader >= 1.0.0, libfonts >= 1.0.0, pentaho-libxml >= 1.0.0, xml-commons-apis
BuildRequires: librepository >= 1.0.0, sac, flute, liblayout >= 0.2.9-3m, libformula >= 0.2.0
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: java, jpackage-utils, libbase >= 1.0.0, libfonts >= 0.3.4
Requires: pentaho-libxml, libformula >= 0.1.18, librepository >= 0.1.6
Requires: sac, flute, liblayout >= 0.2.9, jcommon-serializer
%if %{with_gcj}
BuildRequires: java-gcj-compat-devel >= 1.0.31
Requires(post): java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch: noarch
%endif

%description
Pentaho Reporting Flow Engine is a free Java report library, formerly
known as 'JFreeReport'

%package javadoc
Summary: Javadoc for %{name}
Group: Documentation
Requires: %{name} = 1:%{version}-%{release}
Requires: jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -c
mkdir -p lib
find . -name "*.jar" -exec rm -f {} \;
build-jar-repository -s -p lib commons-logging-api libbase libloader \
    libfonts libxml jaxp libformula librepository sac flute liblayout \
    libserializer

%build
ant jar javadoc

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/lib/flow-engine.jar $RPM_BUILD_ROOT%{_javadir}/flow-engine.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp build/api $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%postun
%if %{with_gcj}
if [ -x %{_bindir}/rebuild-gcj-db ]
then
  %{_bindir}/rebuild-gcj-db
fi
%endif

%files
%defattr(0644,root,root,0755)
%doc licence-LGPL.txt README.txt ChangeLog.txt
%{_javadir}/*.jar
%if %{with_gcj}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}

%changelog
* Tue Jun  9 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.2-1m)
- sync with Fedora 11 (0.9.2-4.OOo31)
- Epoch: 1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.3-2m)
- rebuild against rpm-4.6

* Thu Oct 16 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.3-1m)
- import from Fedora to Momonga for OOo-3.0

* Fri Sep 05 2008 Caolan McNamara <caolanm@redhat.com> 0.9.3-2
- wrong liblayout version required

* Wed May 07 2008 Caolan McNamara <caolanm@redhat.com> 0.9.3-1
- initial fedora import
